## org.eclipse.m2m.qvt.oml.debug.core.vm
Class VMBreakpoint

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.VMBreakpoint

    public class VMBreakpoint

extends java.lang.Object

Constructor Summary
`VMBreakpoint(ASTNode element, NewBreakpointData data, boolean isTemporary)`

Method Summary
`boolean` `expired()`
`ASTNode` `getElement()`
`int` `getHitCount()`
`long` `getID()`
`int` `getLineNumber()`
`java.lang.String` `getUri()`
`boolean` `hitAndCheckIfTriggered(org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl visitor)`
`boolean` `isTemporary()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VMBreakpoint

    public VMBreakpoint(ASTNode element,
                        NewBreakpointData data,
                        boolean isTemporary)

Method Detail

### getUri

    public java.lang.String getUri()

### getID

    public long getID()

### getElement

    public ASTNode getElement()

### isTemporary

    public boolean isTemporary()

### getLineNumber

    public int getLineNumber()

### getHitCount

    public int getHitCount()

### expired

    public boolean expired()

### hitAndCheckIfTriggered

    public boolean hitAndCheckIfTriggered(org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl visitor)
                                   throws CoreException

  Throws:
    `CoreException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.